View Issue Details

IDProjectCategoryView StatusLast Update
0002106SOGoBackend Address Bookpublic2012-11-17 15:34
Reporteraccumulator Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.2 
Target Version2.0.3Fixed in Version2.0.3 
Summary0002106: LDIF export + import crashes importer
Description

Due to my addressbook breaking in both KMail and Thunderbird (but still accessible through the web client) I exported my addressbook to LDIF, and tried re-importing. The import fails with :

EXCEPTION: <NSException: 0xb9197d08> NAME:NSInvalidArgumentException REASON:GSMutableString(instance) does not recognize count INFO:(nil)

Additional Information

removing all occurences of "vcardcategories" made the import succeed.

the categories occurring in the LDIF file exist on the server, and have no traling spaces or whatever..

TagsNo tags attached.

Activities

ludovic

ludovic

2012-11-15 06:57

administrator   ~0004854

Attach the file so we can test it.

2012-11-15 07:33

 

test.ldif (255 bytes)   
dn: cn=User LastName,mail=userlastname@example.com
objectClass: top
objectClass: inetOrgPerson
objectClass: mozillaAbPersonAlpha
o: Datapool
mail: userlastname@example.com
givenname: User
vcardcategories: Business
sn: LastName
displayname: User LastName

test.ldif (255 bytes)   
accumulator

accumulator

2012-11-15 07:33

reporter   ~0004855

here it is..

ludovic

ludovic

2012-11-17 15:34

administrator   ~0004869

Fixed: https://github.com/inverse-inc/sogo/commit/77e4b3307fa9bd89afc4c20ff664f59f1ca02e47

Issue History

Date Modified Username Field Change
2012-11-15 05:19 accumulator New Issue
2012-11-15 06:57 ludovic Note Added: 0004854
2012-11-15 07:33 accumulator File Added: test.ldif
2012-11-15 07:33 accumulator Note Added: 0004855
2012-11-16 10:02 ludovic Target Version => 2.0.3
2012-11-17 15:34 ludovic Note Added: 0004869
2012-11-17 15:34 ludovic Status new => closed
2012-11-17 15:34 ludovic Resolution open => fixed
2012-11-17 15:34 ludovic Fixed in Version => 2.0.3